JavaScript/jQuery DropDownBox - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
Alt + ↓ | Opens the drop-down field. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const dropDownBox = $("#dropDownBoxContainer").dxDropDownBox("instance");
- dropDownBox.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- dropDownBox.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React DropDownBox - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
Alt + ↓ | Opens the drop-down field. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
App.js
- import React from 'react';
- import 'devextreme/dist/css/dx.light.css';
- import { DropDownBox } from 'devextreme-react/drop-down-box';
- class App extends React.Component {
- constructor(props) {
- super(props);
- this.dropDownBoxRef = React.createRef();
- }
- render() {
- return (
- <DropDownBox ref={this.dropDownBoxRef} />
- );
- }
- get dropDownBox() {
- return this.dropDownBoxRef.current.instance;
- }
- componentDidMount() {
- this.dropDownBox.registerKeyHandler('backspace', function(e) {
- // The argument "e" contains information on the event
- });
- this.dropDownBox.registerKeyHandler('space', function(e) {
- // ...
- });
- }
- }
- export default App;
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.